
#pragma once
#include "ofMain.h"
#include "ofxCairo.h"


struct Dot {
	float r, g, b, a;
	float x, y;
	float radius;
};


class testApp : public ofBaseApp{
	
public:
	
	void setup();
	void update();
	void draw();
	
	void keyPressed(int key);
	void keyReleased(int key);
	void mouseMoved(int x, int y );
	void mouseDragged(int x, int y, int button);
	void mousePressed(int x, int y, int button);
	void mouseReleased(int x, int y, int button);
	void windowResized(int w, int h);
	
	vector	<Dot>		dots;
	ofImage				photo;
	ofxCairo			output;
	bool				capture;
	bool				bDrawFace;
	float				startSize;
	int					maxDots;
	bool				bDoneMakingDots;
	
};
